Page MenuHomePhabricator

Migrate Selenium tests based on the ruby library mediawiki_selenium
Closed, ResolvedPublic

Description

Migrate Selenium tests based on the ruby library mediawiki_selenium

mediawiki-selenium-integration-jessie
mwext-mw-selenium-composer-jessie
mwext-mw-selenium-jessie
mwskin-mw-selenium-jessie

Could be run inside Quibble.

@hashar note:

ZUUL_PROJECT=mediawiki/skins/MinervaNeue quibble --commands ~/projects/integration/config/dockerfiles/quibble-stretch-bundle/mwselenium.sh -- mediawiki/extensions/MobileFrontend

Test change https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/323216/

Event Timeline

hashar triaged this task as Normal priority.Aug 30 2018, 4:27 PM
hashar created this task.

Change 456414 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: quibble container for mediawiki_selenium

https://gerrit.wikimedia.org/r/456414

hashar updated the task description. (Show Details)Aug 30 2018, 5:32 PM

One might want to use a command (via --commands) that would require MediaWiki exposed over a web server. Unfortunately Quibble does not spawn it.

I went creating a new Docker container that has the logic, I might as well just add a new stage in Quibble to run the ruby selenium tests.

Change 456587 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/quibble@master] Run user commands with a DevWebServer

https://gerrit.wikimedia.org/r/456587

Change 456587 merged by jenkins-bot:
[integration/quibble@master] Run user commands with a DevWebServer

https://gerrit.wikimedia.org/r/456587

Change 456602 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: Quibble 0.0.24

https://gerrit.wikimedia.org/r/456602

Change 456602 merged by jenkins-bot:
[integration/config@master] docker: Quibble 0.0.24

https://gerrit.wikimedia.org/r/456602

Change 456414 merged by jenkins-bot:
[integration/config@master] docker: quibble container for mediawiki_selenium

https://gerrit.wikimedia.org/r/456414

Change 456605 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Docker job for mwselenium

https://gerrit.wikimedia.org/r/456605

Change 456605 merged by jenkins-bot:
[integration/config@master] Docker job for mwselenium

https://gerrit.wikimedia.org/r/456605

Change 456616 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Skip Quibble dependencies on mwselenium job

https://gerrit.wikimedia.org/r/456616

Change 456616 merged by jenkins-bot:
[integration/config@master] Skip Quibble dependencies on mwselenium job

https://gerrit.wikimedia.org/r/456616

hashar updated the task description. (Show Details)EditedAug 31 2018, 1:34 PM

So that works locally for me, but in the Docker container the suite crash with:

unknown error: Chrome failed to start: exited abnormally
(unknown error: DevToolsActivePort file doesn't exist)
(The process started from chrome location /usr/bin/chromium is no longer running, so ChromeDriver is assuming that Chrome has crashed.)
(Driver info: chromedriver=2.38 (undefined),platform=Linux 4.9.0-0.bpo.6-amd64 x86_64) (Selenium::WebDriver::Error::UnknownError)

Maybe because HOME=/nonexistent and that directory does not even exist or ChromeDriver is not started.

Change 457406 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate mediawiki_selenium jobs to Docker

https://gerrit.wikimedia.org/r/457406

Change 457406 merged by jenkins-bot:
[integration/config@master] Migrate mediawiki_selenium jobs to Docker

https://gerrit.wikimedia.org/r/457406

Change 457407 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/WikibaseLexeme@master] Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Change 457412 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add Firefox to quibble-stretch-bundle

https://gerrit.wikimedia.org/r/457412

Change 457413 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump container for job mwselenium-quibble-docker

https://gerrit.wikimedia.org/r/457413

Change 457412 merged by jenkins-bot:
[integration/config@master] docker: add Firefox to quibble-stretch-bundle

https://gerrit.wikimedia.org/r/457412

Change 457413 merged by jenkins-bot:
[integration/config@master] Bump container for job mwselenium-quibble-docker

https://gerrit.wikimedia.org/r/457413

Change 457407 abandoned by Hashar:
Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Change 457407 restored by Hashar:
Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Change 457427 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/WikibaseLexeme@master] Missing favicon.ico is not a Selenium error

https://gerrit.wikimedia.org/r/457427

Change 457538 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: fix firefox in quibble-stretch-bundle

https://gerrit.wikimedia.org/r/457538

Change 457539 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump container for job mwselenium-quibble-docker

https://gerrit.wikimedia.org/r/457539

Change 457538 merged by jenkins-bot:
[integration/config@master] docker: fix firefox in quibble-stretch-bundle

https://gerrit.wikimedia.org/r/457538

Change 457407 abandoned by Hashar:
Run mediawiki_selenium tests on CI with Chrome

Reason:
Firefox would not start when run in the CI docker container. Fixed up by https://gerrit.wikimedia.org/r/#/c/integration/config/ /457538/

https://gerrit.wikimedia.org/r/457407

Change 457545 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate WikibaseLexeme mediawiki_selenium job to Docker

https://gerrit.wikimedia.org/r/457545

Change 457539 merged by jenkins-bot:
[integration/config@master] Bump container for job mwselenium-quibble-docker

https://gerrit.wikimedia.org/r/457539

Change 457545 merged by jenkins-bot:
[integration/config@master] Migrate WikibaseLexeme mediawiki_selenium job to Docker

https://gerrit.wikimedia.org/r/457545

Change 457575 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate Wikibase mediawiki_selenium job to Docker

https://gerrit.wikimedia.org/r/457575

Change 457674 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Clean up mwext-mw-selenium* jobs

https://gerrit.wikimedia.org/r/457674

hashar added a comment.Sep 3 2018, 8:24 PM

Left to do is mediawiki-selenium-integration-jessie. An integration job to test mediawiki_selenium against mediawiki/core

Change 457575 merged by jenkins-bot:
[integration/config@master] Migrate Wikibase mediawiki_selenium job to Docker

https://gerrit.wikimedia.org/r/457575

Change 457674 merged by jenkins-bot:
[integration/config@master] Clean up mwext-mw-selenium* jobs

https://gerrit.wikimedia.org/r/457674

Change 457837 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: quibble-stretch-bundle support for mediawiki/selenium

https://gerrit.wikimedia.org/r/457837

Change 457837 merged by jenkins-bot:
[integration/config@master] docker: quibble-stretch-bundle support for mediawiki/selenium

https://gerrit.wikimedia.org/r/457837

Change 457843 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate mediawiki/selenium integration job to Docker

https://gerrit.wikimedia.org/r/457843

Change 457843 merged by jenkins-bot:
[integration/config@master] Migrate mediawiki/selenium integration job to Docker

https://gerrit.wikimedia.org/r/457843

hashar closed this task as Resolved.Sep 4 2018, 9:09 AM

Done!

Change 457427 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Missing favicon.ico is not a Selenium error

https://gerrit.wikimedia.org/r/457427

Change 457407 restored by Hashar:
Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Change 460871 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Wikibase@master] Missing favicon.ico is not a Selenium error

https://gerrit.wikimedia.org/r/460871

Change 460871 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Missing favicon.ico is not a Selenium error

https://gerrit.wikimedia.org/r/460871